Bug 608032 (CVE-2010-2241) - CVE-2010-2241 redhat-ds: setup script insecure .inf file permissions
Summary: CVE-2010-2241 redhat-ds: setup script insecure .inf file permissions
Status: CLOSED ERRATA
Alias: CVE-2010-2241
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=researcher,reported...
Keywords: Security
Depends On: 593392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-25 13:27 UTC by Tomas Hoger
Modified: 2015-07-31 11:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 18:18:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0590 normal SHIPPED_LIVE Low: Red Hat Directory Server security and enhancement update 2010-08-03 20:12:56 UTC

Description Tomas Hoger 2010-06-25 13:27:39 UTC
setup-ds.pl and setup-ds-admin.pl scripts used to configure Red Hat / 389 Directory Server instances and administration server instances creates a cache file containing configuration parameters provided by administrator configuring directory server.  The file is created in /tmp with random name as setupXXXXXX.inf.  It contains information such as directory server instance name, user and group under with ns-slapd should run, network port directory and administration server should listen on, base DN and administrative user names and accounts.  This file is created with permissions depending on current umask setting, which is 022 for root account by default, which results in file being created as world readable.  Any local user can take advantage of the weak file permissions and obtain administrative account passwords, which give them full control over directory server instance.

This file is removed at the end of the setup run which limits exposure, but it is not removed when setup is started with -k or --keepcache.

For additional details and patch changing setup scripts to always create cache file with restricted permissions, see:
  https://bugzilla.redhat.com/show_bug.cgi?id=593392

Comment 1 errata-xmlrpc 2010-08-03 20:13:06 UTC
This issue has been addressed in following products:

  Red Hat Directory Server 8 for RHEL 4
  Red Hat Directory Server 8 for RHEL 5

Via RHSA-2010:0590 https://rhn.redhat.com/errata/RHSA-2010-0590.html


Note You need to log in before you can comment on or make changes to this bug.